import { UmbContextBase } from '../../../libs/class-api/index.js';
import type { UmbControllerHost } from '../../../libs/controller-api/index.js';
interface UmbPreviewIframeArgs {
    culture?: string;
    height?: string;
    segment?: string;
    width?: string;
    wrapperClass?: string;
}
export declare class UmbPreviewContext extends UmbContextBase {
    #private;
    readonly culture: import("rxjs").Observable<string | undefined>;
    readonly iframeReady: import("rxjs").Observable<boolean>;
    readonly previewUrl: import("rxjs").Observable<string | undefined>;
    readonly segment: import("rxjs").Observable<string | undefined>;
    readonly unique: import("rxjs").Observable<string | undefined>;
    constructor(host: UmbControllerHost);
    hostDisconnected(): void;
    exitPreview(): Promise<void>;
    iframeLoaded(iframe: HTMLIFrameElement): void;
    getIFrameWrapper(): HTMLElement | undefined;
    openWebsite(): Promise<void>;
    reloadIFrame(iframe: HTMLIFrameElement): void;
    updateIFrame(args?: UmbPreviewIframeArgs): Promise<void>;
}
export {};
